package com.game.business.domain;

import com.game.common.annotation.Excel;
import com.game.common.core.domain.BaseEntity;

public class GameType extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 游戏类型ID */
    @Excel(name = "游戏类型ID", cellType = Excel.ColumnType.NUMERIC, prompt = "游戏类型ID")
    private Long gameTypeId;

    @Excel(name = "游戏名称")
    private String gameTypeName;

    @Excel(name = "游戏编码")
    private String gameTypeCode;

    public Long getGameTypeId() {
        return gameTypeId;
    }

    public void setGameTypeId(Long gameTypeId) {
        this.gameTypeId = gameTypeId;
    }

    public String getGameTypeName() {
        return gameTypeName;
    }

    public void setGameTypeName(String gameTypeName) {
        this.gameTypeName = gameTypeName;
    }

    public String getGameTypeCode() {
        return gameTypeCode;
    }

    public void setGameTypeCode(String gameTypeCode) {
        this.gameTypeCode = gameTypeCode;
    }
}
