package com.game.business.mapper;

import com.game.business.domain.GameLottery;

import java.util.List;

public interface GameLotteryMapper {


    /**
     * 新增开奖信息
     *
     * @param gameLottery 开奖信息
     * @return 结果
     */
    public int insertGameLottery(GameLottery gameLottery);

    /**
     * 修改开奖信息
     *
     * @param gameLottery 开奖信息
     * @return 结果
     */
    public int updateGameLottery(GameLottery gameLottery);


    /**
     * 根据条件查询开奖列表
     *
     * @param gameLottery 开奖信息
     * @return 结果
     */
    public List<GameLottery> selectGameLotteryList(GameLottery gameLottery);

    /**
     * 根据条件查询开奖信息
     *
     * @param gameLottery 开奖信息
     * @return 结果
     */
    public GameLottery selectGameLottery(GameLottery gameLottery);

}
