package com.game.business.mapper;

import com.game.business.domain.GameRecord;

import java.util.List;

public interface GameRecordMapper {

    /**
     * 新增游戏推送信息
     *
     * @param gameRecord 游戏推送信息
     * @return 结果
     */
    public int insertGameRecord(GameRecord gameRecord);


    /**
     * 根据条件查询游戏推送列表
     *
     * @param gameRecord 游戏推送信息
     * @return 结果
     */
    public List<GameRecord> selectGameLotteryList(GameRecord gameRecord);

    /**
     * 根据条件查询游戏推送信息
     *
     * @param gameRecord 游戏推送信息
     * @return 结果
     */
    public GameRecord selectGameRecord(GameRecord gameRecord);


}
