package com.game.business.domain;

import com.game.common.annotation.Excel;

public class GameLottery {

    private static final long serialVersionUID = 1L;

    /** 游戏开奖Id */
    @Excel(name = "游戏开奖Id", cellType = Excel.ColumnType.NUMERIC, prompt = "游戏开奖ID")
    private Long gameLotteryId;

    @Excel(name = "游戏类型Id")
    private Long gameTypeId;

    @Excel(name = "游戏期号")
    private String gameDate;

    @Excel(name = "游戏开奖时间")
    private String gameLotteryDate;

    @Excel(name = "游戏开奖结果")
    private String gameLotterySucc;

    public Long getGameLotteryId() {
        return gameLotteryId;
    }

    public void setGameLotteryId(Long gameLotteryId) {
        this.gameLotteryId = gameLotteryId;
    }

    public Long getGameTypeId() {
        return gameTypeId;
    }

    public void setGameTypeId(Long gameTypeId) {
        this.gameTypeId = gameTypeId;
    }

    public String getGameDate() {
        return gameDate;
    }

    public void setGameDate(String gameDate) {
        this.gameDate = gameDate;
    }

    public String getGameLotteryDate() {
        return gameLotteryDate;
    }

    public void setGameLotteryDate(String gameLotteryDate) {
        this.gameLotteryDate = gameLotteryDate;
    }

    public String getGameLotterySucc() {
        return gameLotterySucc;
    }

    public void setGameLotterySucc(String gameLotterySucc) {
        this.gameLotterySucc = gameLotterySucc;
    }
}
