package com.game.business.service;

import com.game.business.domain.GameType;

import java.util.List;

public interface GameTypeService {

    /**
     * 新增游戏信息
     *
     * @param gameType 游戏信息
     * @return 结果
     */
    public int insertGameType(GameType gameType);

    /**
     * 修改游戏信息
     *
     * @param gameType 游戏信息
     * @return 结果
     */
    public int updateGameType(GameType gameType);


    /**
     * 根据条件查询游戏列表
     *
     * @param gameType 游戏信息
     * @return 结果
     */
    public List<GameType> selectGameTypeList(GameType gameType);

    /**
     * 根据条件查询游戏信息
     *
     * @param gameType 游戏信息
     * @return 结果
     */
    public GameType selectGameType(GameType gameType);

}
