package com.game.business.service.impl;

import com.game.business.domain.GameType;
import com.game.business.mapper.GameTypeMapper;
import com.game.business.service.GameTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class GameTypeServiceImpl implements GameTypeService {

    @Autowired
    private GameTypeMapper gameTypeMapper;

    @Override
    public int insertGameType(GameType gameType) {
        return gameTypeMapper.insertGameType(gameType);
    }

    @Override
    public int updateGameType(GameType gameType) {
        return gameTypeMapper.updateGameType(gameType);
    }

    @Override
    public List<GameType> selectGameTypeList(GameType gameType) {
        return gameTypeMapper.selectGameTypeList(gameType);
    }

    @Override
    public GameType selectGameType(GameType gameType) {
        return gameTypeMapper.selectGameType(gameType);
    }
}
